Bug 6226 - Returning a misrouted item twice causes transit to correct receiving library to disappear
Summary: Returning a misrouted item twice causes transit to correct receiving library ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: 3.6
Hardware: All All
: P3 major (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-20 21:22 UTC by Liz Rea
Modified: 2014-12-07 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of affected item (17.02 KB, image/png)
2012-01-26 16:12 UTC, Chris Nighswonger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-04-20 21:22:52 UTC
Scenario:
Library A transferred a book to Library B, but accidentally sent it to Library C 

What happens when Library C checks in the item?  They get a reminder that there is a HOLD and to send the item to Library B.  That’s good. (Return 1)

However, if Library C returns that item a second time the transfer Goes Away. (Return 2)

Also, if Library C goofs up and sends the book to Library D, when they return it, the transfer Goes Away (essentially the 2nd return that isn't the receiving branch).
Comment 1 Chris Nighswonger 2012-01-26 16:12:21 UTC
Created attachment 7338 [details]
Screenshot of affected item

Attaching screenshot
Comment 2 Chris Nighswonger 2012-01-26 16:18:14 UTC
Here is another variation on the theme of this bug under 3.2.x:

1. Checkout an item whose homebranch is branch A under branch B.
2. Return the item at branch A.
3. The item status will now show in transit from branch B, while the current location will show branch A.
4. Circulation > Transfers will report "Item is already at destination library."


Workaround:

1. Checkout the same item a second time under branch B.
2. Checkin under branch A.
3. The item status will now be cleared, and the item no longer listed under transfers.
Comment 3 Chris Nighswonger 2012-01-26 16:20:07 UTC
Updating branch to rel_3_6 as this does not appear to exist in master.

Also updating the priority and importance as if this goes on unnoticed it creates a load of work to get straightened out.
Comment 4 Liz Rea 2014-01-18 10:38:41 UTC
Fixed sometime in 3.8.